-- phpMyAdmin SQL Dump
-- version 3.3.9
-- http://www.phpmyadmin.net
--
-- Host: localhost
-- Generation Time: Aug 04, 2011 at 07:29 PM
-- Server version: 5.1.53
-- PHP Version: 5.3.4

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Database: `spacechem`
--

-- --------------------------------------------------------

--
-- Table structure for table `buildings`
--

CREATE TABLE IF NOT EXISTS `buildings` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `component_id` varchar(64) NOT NULL COMMENT 'name in savefile',
  `type` enum('i','o','r','x') NOT NULL COMMENT 'type (input, output, reactor, special)',
  `width` int(11) NOT NULL COMMENT 'width [tiles]',
  `height` int(11) NOT NULL COMMENT 'height [tiles]',
  `inputs` varchar(32) NOT NULL COMMENT 'CSV of inputs [tiles]',
  `outputs` varchar(32) NOT NULL COMMENT 'CSV of outputs [tiles]',
  `class` varchar(64) NOT NULL COMMENT 'CSS class name',
  `created` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  UNIQUE KEY `id2` (`component_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=40 ;

--
-- Dumping data for table `buildings`
--

INSERT INTO `buildings` (`id`, `component_id`, `type`, `width`, `height`, `inputs`, `outputs`, `class`, `created`) VALUES
(1, 'ancient-pump', 'i', 2, 2, '', '', 'in-ancient', '2011-08-03 12:26:48'),
(2, 'drag-atmospheric-input ', 'i', 2, 2, '', '', 'in-atmospheric', '2011-08-03 12:26:48'),
(3, 'drag-mining-input ', 'i', 3, 2, '', '', 'in-mining', '2011-08-03 12:26:48'),
(4, 'drag-oceanic-input ', 'i', 2, 2, '', '', 'in-oceanic', '2011-08-03 12:26:48'),
(5, 'drag-powerplant-input ', 'i', 14, 15, '', '', 'in-powerplant', '2011-08-03 12:26:48'),
(6, 'drag-silo-input ', 'i', 5, 5, '', '', 'in-silo', '2011-08-03 12:26:48'),
(7, 'drag-spaceship-input ', 'i', 2, 3, '', '', 'in-spaceship', '2011-08-03 12:26:48'),
(8, 'teleporter-out', 'i', 3, 1, '     ', '', 'in-quantum', '2011-08-03 12:26:48'),
(9, 'cargo-freighter-1', 'o', 2, 3, '', '', 'out-target1', '2011-08-03 12:26:48'),
(10, 'cargo-freighter-2', 'o', 2, 3, '', '', 'out-target2', '2011-08-03 12:26:48'),
(11, 'cargo-freighter-3', 'o', 2, 3, '', '', 'out-target3', '2011-08-03 12:26:48'),
(12, 'chemical-laser', 'o', 3, 3, '', '', 'out-laser-chemical', '2011-08-03 12:26:48'),
(13, 'crash-canister', 'o', 4, 4, '', '', 'out-crash-canister', '2011-08-03 12:26:48'),
(14, 'hydrogen-laser', 'o', 5, 5, '', '', 'out-laser-hydrogen', '2011-08-03 12:26:48'),
(15, 'internal-storage-tank', 'o', 2, 3, '', '', 'out-arbitrary', '2011-08-03 12:26:48'),
(16, 'omega-missile-launcher', 'o', 3, 3, '', '', 'out-final-missile', '2011-08-03 12:26:48'),
(17, 'oxygen-tank', 'o', 3, 3, '', '', 'x-storage', '2011-08-03 12:26:48'),
(18, 'particle-accelerator', 'o', 3, 3, '', '', 'out-particle-accelerator', '2011-08-03 12:26:48'),
(19, 'recycler', 'o', 5, 5, '              ', '', 'out-recycler', '2011-08-03 12:26:48'),
(20, 'rocket-launch-pad', 'o', 3, 3, '', '', 'out-missile-silo', '2011-08-03 12:26:48'),
(21, 'teleporter-in', 'o', 3, 1, '', '', 'out-quantum', '2011-08-03 12:26:48'),
(22, 'thruster-controls', 'o', 3, 6, '', '', 'out-final-steer', '2011-08-03 12:26:48'),
(23, 'custom-research-reactor ', 'r', 4, 4, '', '', 'rx-custom', '2011-08-03 12:26:48'),
(24, 'drag-advancedfusion-reactor ', 'r', 4, 4, '', '', 'rx-fusion', '2011-08-03 12:26:48'),
(25, 'drag-advanced-reactor ', 'r', 4, 4, '', '', 'rx-advanced', '2011-08-03 12:26:48'),
(26, 'drag-assembly-reactor ', 'r', 4, 4, '', '', 'rx-assembly', '2011-08-03 12:26:48'),
(27, 'drag-disassembly-reactor ', 'r', 4, 4, '', '', 'rx-disassembly', '2011-08-03 12:26:48'),
(28, 'drag-fusion-reactor ', 'r', 4, 4, '', '', 'rx-fusion', '2011-08-03 12:26:48'),
(29, 'drag-hyperlaser-reactor', 'r', 4, 4, '', '', 'rx-laser-omega', '2011-08-03 12:26:48'),
(30, 'drag-largeoutput-reactor ', 'r', 4, 4, '', '', 'rx-largeoutput', '2011-08-03 12:26:48'),
(31, 'drag-quantum-reactor ', 'r', 4, 4, '', '', 'rx-quantum', '2011-08-03 12:26:48'),
(32, 'drag-quantum-reactor-s ', 'r', 4, 4, '', '', 'rx-quantum', '2011-08-03 12:26:48'),
(33, 'drag-quantum-reactor-x ', 'r', 4, 4, '', '', 'rx-quantum', '2011-08-03 12:26:48'),
(34, 'drag-reduced-reactor ', 'r', 4, 4, '', '', 'rx-starter', '2011-08-03 12:26:48'),
(35, 'drag-starter-reactor ', 'r', 4, 4, '', '', 'rx-starter', '2011-08-03 12:26:48'),
(36, 'drag-superbonder-reactor ', 'r', 4, 4, '', '', 'rx-superbonder', '2011-08-03 12:26:48'),
(37, 'drag-superlaser-reactor ', 'r', 4, 4, '', '', 'rx-laser-ruby', '2011-08-03 12:26:48'),
(38, 'control-center', 'x', 3, 3, '    ', '', 'x-control-center', '2011-08-03 12:26:48'),
(39, 'drag-storage-tank ', 'x', 3, 3, '', '', 'x-storage', '2011-08-03 12:26:48');

-- --------------------------------------------------------

--
-- Table structure for table `maps`
--

CREATE TABLE IF NOT EXISTS `maps` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Primary index',
  `level_id` varchar(64) NOT NULL COMMENT 'Level index in savegame',
  `key` varchar(16) NOT NULL COMMENT 'Short title',
  `name` varchar(64) NOT NULL COMMENT 'Long title',
  `type` int(11) NOT NULL DEFAULT '0' COMMENT 'Type (bit-flags) d0 : 0=research, 1=production; d1: boss; d2 : challenge',
  `bgImage` varchar(255) NOT NULL,
  `bgY` int(11) NOT NULL DEFAULT '0',
  `fields` text NOT NULL COMMENT 'Production level accessible fields. (22x 32 bits, big-endian)',
  `created` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  UNIQUE KEY `id2` (`level_id`,`key`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=61 ;

--
-- Dumping data for table `maps`
--

INSERT INTO `maps` (`id`, `level_id`, `key`, `name`, `type`, `bgImage`, `bgY`, `fields`, `created`) VALUES
(1, 'research-example-1', '1-1', 'Of Pancakes and Spaceships', 0, '', 0, '', '2011-07-26 23:09:07'),
(2, 'research-tutorial-1', '1-2', 'Slightly Different', 0, '', 0, '', '2011-07-26 23:09:07'),
(3, 'research-tutorial-1point5', '1-3', 'Crossover', 0, '', 0, '', '2011-07-26 23:09:07'),
(4, 'research-example-2', '1-4', 'An Introduction to Bonding', 0, '', 0, '', '2011-07-26 23:09:07'),
(5, 'research-tutorial-2', '1-5', 'A Brief History of SpaceChem', 0, '', 0, '', '2011-07-26 23:09:07'),
(6, 'research-tutorial-3', '1-6', 'Removing Bonds', 0, '', 0, '', '2011-07-26 23:09:07'),
(7, 'research-tutorial-4', '2-1', 'Double Bonds', 0, '', 0, '', '2011-07-26 23:09:07'),
(8, 'research-tutorial-5', '2-2', 'Best Left Unanswered', 0, '', 0, '', '2011-07-26 23:09:07'),
(9, 'research-tutorial-6', '2-3', 'Multiple Outputs', 0, '', 0, '', '2011-07-26 23:09:07'),
(10, 'production-tutorial-1', '2-4', 'An Introduction to Pipelines', 1, 'sernimir-iv.jpg', 0, '001FFFC0\r\n003FFFC0\r\n007FFFC0\r\n00FFFFF0\r\n01FFFFF8\r\nFFFFFFFF\r\nFFFFFFFF\r\nFFFFFFFF\r\n\r\nF3FFFFFF\r\nE1FFFFFF\r\nC0FFFFFF\r\nC0FFFFFF\r\nC0FFFFFF\r\nE1FFFFFC\r\nFFFFFFF8\r\nFFFFFFF8\r\n\r\nFFFFC7F8\r\nFFFC03F8\r\nFFFC03FC\r\n7FFE03FF\r\n7FFF87FF\r\nFFFFFFFF', '2011-07-26 23:09:07'),
(11, 'production-tutorial-2', '2-5', 'There''s Something in the Fishcake', 1, 'sernimir-iv.jpg', 144, 'FFFFFFFF\r\nF3FFFFFF\r\nE1FFFFFF\r\nC0FFFFFF\r\nC0FFFFFF\r\nC0FFFFFF\r\nE1FFFFFC\r\nFFFFFFF8\r\n\r\nFFFFFFF8\r\nFFFF87F8\r\nFFFE03F8\r\nFFFC03FC\r\n7FFC03FF\r\n7FFF03FF\r\nFFFFFFFF\r\nFFFFFFFF\r\n\r\nFFFFFFFF\r\nFFFFFFFF\r\nFFFFFFFF\r\n7FFFFFFF\r\n3FFFFFFF\r\n1FFFFFFF', '2011-07-26 23:09:07'),
(12, 'production-tutorial-3', '2-6', 'Sleepless on Sernimir IV', 1, 'sernimir-iv.jpg', 288, 'FFFFFFF8\r\nFFFFFFF8\r\nFFFF87F8\r\nFFFE03F8\r\nFFFC03FC\r\n7FFC03FE\r\n7FFE03FF\r\n7FFFFFFF\r\n\r\nFFFFFFFF\r\nFFFFFFFF\r\nFFFFFFFF\r\nFFFFFFFF\r\nFFFFFFFF\r\n3FFFFFFF\r\n1FFFFFFF\r\n1FFFFFFF\r\n\r\n1FFFFFFF\r\n1FFFFC7F\r\n1FFFF83E\r\n1FFFF01C\r\n3FFCF01C\r\n7FF0301C\r\n', '2011-07-26 23:09:07'),
(13, 'bonding-2', '3-1', 'Every Day is the First Day', 0, '', 0, '', '2011-07-26 23:09:07'),
(14, 'bonding-3', '3-2', 'It Takes Three', 0, '', 0, '', '2011-07-26 23:09:07'),
(15, 'bonding-4', '3-3', 'Split Before Bonding', 0, '', 0, '', '2011-07-26 23:09:07'),
(16, 'bonding-6', '3-4', 'Settling into the Routine', 1, 'danopth.jpg', 144, 'FFFFFFFC\r\nFFFFFFFC\r\nFFFFF1FF\r\nE7FFE1FF\r\nC3FFE1FF\r\n801FE1FF\r\n000FFFFF\r\n000FFFFF\r\n\r\n801FFFFF\r\nE3FFFFFF\r\nFFFFFFFF\r\nFFFFFFFF\r\nFFFFFFFF\r\nFFFFFFFF\r\nFFFFFFFF\r\nFFFFFFFF\r\n\r\nFFFFFFFF\r\nFFFFFFFF\r\n7FFFFFF8\r\n3FFFFFF8\r\n3FFFFFF8\r\n3FFFFFF8', '2011-07-26 23:09:07'),
(17, 'bonding-7', '3-5', 'Nothing Works', 1, 'danopth.jpg', 0, '001C7FE0\r\n081FFFE0\r\n3C3FFFE0\r\nFF07FFE0\r\nFF07FFE0\r\nFF8FFFE0\r\nFFFFFFFC\r\nFFFFFFFC\r\n\r\nFFFFFFFC\r\nFFFFF1FF\r\nE7FFE1FF\r\nC3FFE1FF\r\n801FF1FF\r\n800FFFFF\r\n800FFFFF\r\n801FFFFF\r\n\r\nC3FFFFFF\r\nFFFFFFFF\r\nFFFFFFFF\r\nFFFFFFFF\r\nFFFFFFFF\r\nFFFFFFFF', '2011-07-26 23:09:07'),
(18, 'bonding-boss', '3-6', 'A Most Unfortunate Malfunction', 3, 'danopth.jpg', 288, '00000000\r\n00000000\r\n00000000\r\n00000000\r\n00000000\r\n00000000\r\n00000000\r\n00000000\r\n\r\n00000000\r\n00000000\r\n00000000\r\n00000000\r\n3FFFFFF8\r\n3FFFFFF8\r\n3FFFFFF8\r\n7FFFFFF8\r\n\r\nFFFFFFF8\r\nE3FFFFFC\r\n01F8FFF8\r\n00F07FF0\r\n00E01FF0\r\n004003E0\r\n', '2011-07-26 23:09:07'),
(19, 'bonding-5', '3-C', 'Challenge: In-Place Swap', 5, 'danopth.jpg', 288, '000FFFFF\r\n001FFFFF\r\n81FFFFFF\r\nFFFFFFFF\r\nFFFFFFFF\r\nFFFFFFFF\r\nFFFFFFFF\r\nFFFFFFFF\r\n\r\nFFFFFFFF\r\nFFFFFFFF\r\nFFFFFFFF\r\n7FFFFFFE\r\n3FFFFFF8\r\n3FFFFFF8\r\n3FFFFFF8\r\n7FFFFFF8\r\n\r\nFFFFFFF8\r\nE3FFFFFC\r\n01F8FFF8\r\n00F07FF0\r\n00E01FF0\r\n004003E0\r\n', '2011-07-26 23:09:07'),
(20, 'sensing-1', '4-1', 'An Introduction to Sensing', 0, '', 0, '', '2011-07-26 23:09:07'),
(21, 'sensing-2', '4-2', 'Prelude to a Migraine', 0, '', 0, '', '2011-07-26 23:09:07'),
(22, 'sensing-3', '4-3', 'Random Oxides', 0, '', 0, '', '2011-07-26 23:09:07'),
(23, 'sensing-4', '4-4', 'No Ordinary Headache', 1, 'alkonost.jpg', 144, '3FFFFFFE\r\n3FFFFFFE\r\n7FFFFFFE\r\n7FF1FFFF\r\nFFE0FFFF\r\nBF80FFFF\r\n1F80FFFF\r\n1F80FFFF\r\n\r\n1FC0FFFF\r\n1FFFFFFF\r\n1FFFFFFF\r\n1FFFFFFF\r\n3FFFFFFF\r\n3FFFFFFF\r\n33FFFFFF\r\nF1FFFFFF\r\n\r\n80FFFFFF\r\n80FFFFFF\r\n80FFFFFF\r\n80FFFFC7\r\nC1FFFF83\r\nFFFFFE03\r\n', '2011-07-26 23:09:07'),
(24, 'sensing-5', '4-5', 'No Thanks Necessary', 1, 'alkonost.jpg', 288, '1F80FFFF\r\n1FC0FFFF\r\n1FFFFFFF\r\n1FFFFFFF\r\n1FFFFFFF\r\n3FFFFFFF\r\n3FFFFFFF\r\n3FFFFFFE\r\n\r\nE3FFFFFE\r\nC0FFFFFE\r\n80FFFFFE\r\n80FFFFFE\r\n80FFFFE6\r\nC1FFFE02\r\n7FFFFE02\r\n7FFFFC02\r\n\r\n7FFFFC06\r\n7FFFFE04\r\n7FFFFFFC\r\nFFFFFFF8\r\nF0FF83E0\r\n00000000', '2011-07-26 23:09:07'),
(25, 'sensing-boss', '4-6', 'No Need for Introductions', 3, 'alkonost.jpg', 288, '1F807E00\r\n1FC07C00\r\n1FFFF800\r\n1FFFF000\r\n1FFFF000\r\n3FFFF000\r\n3FFFF000\r\n3FFFF000\r\n\r\nE3FFF000\r\nC0FFF000\r\n80FFF000\r\n80FFF000\r\n80FFF000\r\nC1FFF000\r\n7FFFF000\r\n7FFFF000\r\n\r\n7FFFF000\r\n7FFFF000\r\n7FFFF000\r\nFFFFF000\r\nF0FF8000\r\n00000000', '2011-07-26 23:09:07'),
(26, 'sensing-6', '4-C', 'Challenge: Going Green', 5, 'alkonost.jpg', 0, '03F81FFF\r\n03FC3FFF\r\n03FFFFFC\r\n03FFFFFC\r\nFFFFFFF8\r\nFFFFFFF8\r\nFFFFFFFC\r\nFFFFFFFE\r\n\r\nFFFFFFFE\r\nFFFFFFFE\r\nFFF1FFFF\r\nFFC0FFFF\r\nFF80FFFF\r\nFF80FFFF\r\nFF80FFFF\r\nFFC0FFFF\r\n\r\nFFFFFFFF\r\nFFFFFFFF\r\n3FFFFFFF\r\n3FFFFFFF\r\n3FFFFFFF\r\n3FFFFFFF\r\n', '2011-07-26 23:09:07'),
(27, 'fusion-1', '5-1', 'Ice to Meet You', 0, '', 0, '', '2011-07-26 23:09:07'),
(28, 'fusion-2', '5-2', 'Under the Ice', 0, '', 0, '', '2011-07-26 23:09:07'),
(29, 'fusion-3', '5-3', 'Unknown Sender', 0, '', 0, '', '2011-07-26 23:09:07'),
(30, 'fusion-5', '5-4', 'Falling', 1, 'sikutar.jpg', 288, 'FFFFFFFF\r\nFFFFFFFF\r\nFFFFFFFF\r\nFFFFFFFF\r\n3FFFFFFF\r\n1FF8FFFF\r\n0078FFFF\r\n0078FFFF\r\n\r\n007FFFFC\r\n007FFFFC\r\n3FFFFFFC\r\nFFFFFFFC\r\nFFFFFFFC\r\nFFFFFFFF\r\nFFFFFFFF\r\nFFFFFFFF\r\n\r\nFFFFFFFF\r\nFFFFFFFF\r\nFFFFFFFF\r\nFFFE1FFF\r\n83F8003F\r\n03F0001F', '2011-07-26 23:09:07'),
(31, 'fusion-boss', '5-5', 'Exploding Head Syndrome', 3, 'sikutar.jpg', 0, '04000000\r\n040F0000\r\n0FFFE000\r\n1FFFF000\r\nFFFFF000\r\nF8FFE000\r\nF07FE000\r\nF07FE000\r\n\r\nF07FF000\r\nF8FFFC00\r\nFFFFFE00\r\nFFFFFF00\r\nFFFFFF00\r\nFFFFFF80\r\nFFFFFFFF\r\nFFFFFFFF\r\n\r\nFFFFFFFF\r\nEFFFFFFF\r\n1FFFFFFF\r\n1FF8FFFF\r\n0078FFFF\r\n0078FFFF', '2011-07-26 23:09:07'),
(32, 'fusion-6', '5-C', 'Challenge: Applied Fusion', 5, 'sikutar.jpg', 144, 'F07FE000\r\nF07FF000\r\nF8FFF800\r\nFFFFFC00\r\nFFFFFE00\r\nFFFFFF00\r\nFFFFFF80\r\nFFFFFFFF\r\n\r\nFFFFFFFF\r\nFFFFFFFF\r\nEFFFFFFF\r\n1FFFFFFF\r\n1FF8FFFF\r\n0078FFFF\r\n0078FFFF\r\n007FFFFE\r\n\r\n007FFFFC\r\n3FFFFFFC\r\nFFFFFFFC\r\nFFFFFFFC\r\nFFFFFFFF\r\nFFFFFFFF\r\n', '2011-07-26 23:09:07'),
(33, 'mining-2', '6-1', 'Like a Boss', 0, '', 0, '', '2011-07-26 23:09:07'),
(34, 'mining-3', '6-2', 'Sacré Bleu!', 0, '', 0, '', '2011-07-26 23:09:07'),
(35, 'mining-7', '6-3', 'The Plot Thickens', 0, '', 0, '', '2011-07-26 23:09:07'),
(36, 'mining-1', '6-4', 'Danger Zone', 0, '', 0, '', '2011-07-26 23:09:07'),
(37, 'mining-boss', '6-5', 'More than Machine', 3, 'hephaustus-iv.jpg', 288, 'FFF80000\r\nFFFC0000\r\nFFFE0000\r\nFFFF0000\r\nFFEF8000\r\nFFC7C000\r\nFFC7E000\r\n\r\nFFC7F000\r\nFFFFF800\r\nFFFFFC00\r\nFFFFFE00\r\nFFFFFF00\r\nFFFFFF80\r\nFFFFFFC0\r\n7FFFFFE0\r\n3FFFFFF0\r\n\r\n3FFFFFFF\r\n3FFFFFFF\r\n3FFFFFFF\r\n7FFFFFFF\r\nFFFFFFFF\r\nFFFFFFFF', '2011-07-26 23:09:07'),
(38, 'mining-5', '6-6', 'Molecular Foundry', 1, 'hephaustus-iv.jpg', 144, 'F1FFFFC0\r\nF1FFFFC0\r\nF1FFFFE0\r\nF1FFFFF0\r\nFFFFFFF0\r\nFFFFFFF8\r\nFFFFFFFC\r\nFFFFFFFF\r\n\r\nFFFFFFFF\r\nFFFFFFFF\r\nFFFFFFFF\r\nFFFFFFFF\r\nFFC7FFFF\r\nFFC7FFFF\r\nFFC7FFFF\r\nFFFFFFFF\r\n\r\nFFFFFFE7\r\nFFFFFFE7\r\nFFFFFFE7\r\nFFFFFFE7\r\nFFFFFFFF\r\nFFFFFFFF\r\n', '2011-07-26 23:09:07'),
(39, 'mining-4', '6-7', 'Gas Works Park', 1, 'hephaustus-iv.jpg', 288, 'FFFFFFFF\r\nFFFFFFFF\r\nFFFFFFFF\r\nFFFFFFFF\r\nFFC7FFFF\r\nFFC7FFFF\r\nFFC7FFFF\r\n\r\nFFC7FFFF\r\nFFFFFFFF\r\nFFFFFFFF\r\nFFFFFEFF\r\nFFFFFFFF\r\nFFFFFFFF\r\nFFFFFFFF\r\n7FFFFFFF\r\n3FFFFFFF\r\n\r\n3FFFFFFF\r\n3FFFFFFF\r\n3FFFFFFF\r\n7FFFFFFF\r\nFFFFFFFF\r\nFFFFFFFF', '2011-07-26 23:09:07'),
(40, 'mining-6', '6-C', 'Challenge: KOHCTPYKTOP', 5, 'hephaustus-iv.jpg', 288, 'FFFFFFFF\r\nFFFFFFFF\r\nFFFFFFFF\r\nFFFFFFFF\r\nFFC7FFFF\r\nFFC7FFFF\r\nFFC7FFFF\r\n\r\nFFC7FFFF\r\nFFFFFFFF\r\nFFFFFFFF\r\nFFFFFEFF\r\nFFFFFFFF\r\nFFFFFFFF\r\nFFFFFFFF\r\n7FFFFFFF\r\n3FFFFFFF\r\n\r\n3FFFFFFF\r\n3FFFFFFF\r\n3FFFFFFF\r\n7FFFFFFF\r\nFFFFFFFF\r\nFFFFFFFF', '2011-07-26 23:09:07'),
(41, 'research-1', '7-1', 'The Blue Danube', 0, '', 0, '', '2011-07-26 23:09:07'),
(42, 'research-3', '7-2', 'No Stomach for Lunch', 0, '', 0, '', '2011-07-26 23:09:07'),
(43, 'research-6', '7-3', 'No Employment Record Found', 0, '', 0, '', '2011-07-26 23:09:07'),
(44, 'research-5', '7-4', 'Right All Along', 0, '', 0, '', '2011-07-26 23:09:07'),
(45, 'research-2', '7-5', 'Accidents Happen', 0, '', 0, '', '2011-07-26 23:09:07'),
(46, 'research-boss', '7-6', 'Don''t Fear the Reaper', 1, 'atropos-station.jpg', 0, 'E3F80000\r\nE3F80000\r\nFFF80000\r\nFFF80000\r\nFFF80000\r\n3FF80000\r\n3FF80000\r\n3FFE0000\r\n\r\n3FFE0000\r\n7FFE0000\r\n7FF80000\r\n7FF80000\r\n7FF80000\r\n1FF80000\r\n1FF80000\r\n1FF80000\r\n\r\n1FF00000\r\nFFE00000\r\nFFE00000\r\nFFE00000\r\nFFC00000\r\nFFC00000', '2011-07-26 23:09:07'),
(47, 'organic-1', '8-1', 'Special Assignment', 0, '', 0, '', '2011-07-26 23:09:07'),
(48, 'organic-2', '8-2', 'Suspicious Behavior', 0, '', 0, '', '2011-07-26 23:09:07'),
(49, 'organic-3', '8-3', 'I Told You So', 0, '', 0, '', '2011-07-26 23:09:07'),
(50, 'organic-boss', '8-4', 'Freedom of Choice', 3, 'flidais.jpg', 0, 'FFC07FFF\r\nFFE07FFF\r\nFFFFFFFF\r\nFFFFFFFF\r\nFFFFFFFF\r\nFFFFFFFF\r\n0FFFFFFF\r\n0FFFFFFF\r\n\r\n0FFFFFFF\r\n1FFFFFFF\r\n3FFFFFFF\r\nFFFFFFFF\r\nFFFFFFFF\r\nFFFFFFFF\r\nFFFFFFFF\r\nFFFFFFFF\r\n\r\nFFFFFFFF\r\nFFFFFFFF\r\nFFC0FFFF\r\nFF807FFF\r\nFF807FFF\r\nFF807FFF', '2011-07-26 23:09:07'),
(51, 'organic-5', '8-5a', '&Omega;-Pseudoethyne', 5, 'flidais.jpg', 144, '0FFFFFFF\r\n0FFFFFFF\r\n0FFFFFFF\r\n3FFFFFFF\r\nFFFFFFFF\r\nFFFFFFFF\r\nFFFFFFFF\r\nFFFFFFFF\r\n\r\nFFFFFFFF\r\nFFFFFFFF\r\nFFFFFFFF\r\nFFC0FFFF\r\nFF807FFF\r\nFF807FFF\r\nFF807FFF\r\nFFC0FFE7\r\n\r\nFFFFFFC0\r\nFFFFFFC0\r\nFFFFFFC0\r\n3FFFFFE0\r\n0FFFFFE0\r\n0FFFFFFC', '2011-07-26 23:09:07'),
(52, 'organic-6', '8-5b', '&Sigma;-Ethylene', 5, 'flidais.jpg', 288, 'FFFFFFFF\r\nFFFFFFFF\r\nFFFFFFFF\r\nFFFFFFFF\r\nFFC0FFFF\r\nFF807FFF\r\nFF807FFF\r\nFF807FFF\r\n\r\nFFC0FFFF\r\nFFFFFFE1\r\nFFFFFFC0\r\nFFFFFFC0\r\nFFFFFFE0\r\n1FFFFFE0\r\n1FFFFFFC\r\n1FFFFFFF\r\n\r\n1FFFFFFF\r\nFFFFFFFF\r\nFFFFFFFF\r\nFFFFFC3F\r\nFFFFE01F\r\nFFFFC01F\r\n', '2011-07-26 23:09:07'),
(53, 'warp-boss', '9-1', 'End of the Line', 3, 'warp.jpg', 0, '00000000\r\n00000000\r\n3FFFF000\r\n3FFFF000\r\n3FFFF000\r\n3FFFF000\r\n3FFFF000\r\n3FFFF000\r\n\r\n3FFFF000\r\n3FFFF000\r\n3FFFF000\r\n3FFFF000\r\n3FFFF000\r\n3FFFF000\r\n3FFFF000\r\n3FFFF000\r\n\r\n3FFFF000\r\n3FFFF000\r\n3FFFF000\r\n3FFFF000\r\n3FFFF000\r\n3FFFF000\r\n', '2011-07-26 23:09:07'),
(54, 'quantum-1', 'CV-1', 'QT-1', 0, '', 0, '', '2011-07-26 23:09:07'),
(55, 'quantum-2', 'CV-2', 'QT-2', 0, '', 0, '', '2011-07-26 23:09:07'),
(56, 'quantum-4', 'CV-3', 'Teleporters', 1, 'corvi-63-a.jpg', 0, '00000000\r\n001FFFF0\r\nFF9FFFF0\r\nFF9FFFF0\r\nFF9FFFF0\r\nFF9FFFF0\r\nFF9FFFF0\r\n\r\nFF9FFFF0\r\nFF800000\r\nFF800000\r\nFFFFFFFF\r\nFFFFFFFF\r\nFFFFFFFF\r\nFFFFFFFF\r\nFFFFFFFF\r\nFFFFFFFF\r\n\r\nFFFFFFFF\r\nFFFFFFFF\r\nFFFFFFFF\r\nFFFFFFFF\r\nFFFFFFFF\r\nFFFFFFFF', '2011-07-26 23:09:07'),
(57, 'quantum-3', 'CV-4', 'QT-3', 0, '', 0, '', '2011-07-26 23:09:07'),
(58, 'quantum-4', 'CV-5', 'QT-4', 0, '', 0, '', '2011-07-26 23:09:07'),
(59, 'quantum-6', 'CV-6', 'Precursor compounds', 1, 'corvi-63-a.jpg', 0, '00000000\r\n001FFFF0\r\nFF9FFFF0\r\nFF9FFFF0\r\nFF9FFFF0\r\nFF9FFFF0\r\nFF9FFFF0\r\n\r\nFF9FFFF0\r\nFF800000\r\nFF800000\r\nFFFFFFFF\r\nFFFFFFFF\r\nFFFFFFFF\r\nFFFFFFFF\r\nFFFFFFFF\r\nFFFFFFFF\r\n\r\nFFFFFFFF\r\nFFFFFFFF\r\nFFFFFFFF\r\nFFFFFFFF\r\nFFFFFFFF\r\nFFFFFFFF', '2011-07-26 23:09:07'),
(60, 'quantum-boss', 'CV-7', 'Collapsar', 3, 'corvi-63-b.jpg', 0, '00000000\r\n00000000\r\nFFFFC000\r\nFFFFCFFE\r\nFFFFCFFE\r\nFFFFCFFE\r\nFFFFCFFE\r\nFFFFCFFE\r\n\r\nFFFFCFFE\r\nFFFFCFFE\r\nFFFFCFFE\r\nFFFFCFFE\r\nFFFFCFFE\r\nFFFFC000\r\nFFFFC000\r\nFFFFC000\r\n\r\nFFFFC000\r\nFFFFC000\r\nFFFFC000\r\nFFFFC000\r\nFFFFC000\r\nFFFFC000', '2011-07-26 23:09:07');

-- --------------------------------------------------------

--
-- Table structure for table `map_buildings`
--

CREATE TABLE IF NOT EXISTS `map_buildings` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `level_id` varchar(64) NOT NULL COMMENT 'level''s internal id  [string]',
  `component_id` varchar(64) NOT NULL COMMENT 'building''s internal id [string]',
  `x` int(11) NOT NULL COMMENT 'building left [tiles]',
  `y` int(11) NOT NULL COMMENT 'building top [tiles]',
  `created` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=104 ;

--
-- Dumping data for table `map_buildings`
--

INSERT INTO `map_buildings` (`id`, `level_id`, `component_id`, `x`, `y`, `created`) VALUES
(1, 'production-tutorial-1', 'drag-silo-input', 9, 4, '2011-08-03 18:55:16'),
(2, 'production-tutorial-1', 'cargo-freighter-2', 23, 6, '2011-08-03 18:55:16'),
(3, 'production-tutorial-1', 'drag-silo-input', 8, 12, '2011-08-03 18:55:16'),
(4, 'production-tutorial-1', 'cargo-freighter-2', 23, 12, '2011-08-03 18:55:16'),
(5, 'production-tutorial-2', 'cargo-freighter-1', 23, 6, '2011-08-03 18:55:16'),
(6, 'production-tutorial-2', 'drag-silo-input', 6, 8, '2011-08-03 18:55:16'),
(7, 'production-tutorial-2', 'drag-silo-input', 7, 16, '2011-08-03 18:55:16'),
(8, 'production-tutorial-3', 'drag-silo-input', 4, 2, '2011-08-03 18:55:16'),
(9, 'production-tutorial-3', 'cargo-freighter-3', 23, 8, '2011-08-03 18:55:16'),
(10, 'production-tutorial-3', 'drag-silo-input', 6, 9, '2011-08-03 18:55:16'),
(11, 'production-tutorial-3', 'drag-silo-input', 7, 16, '2011-08-03 18:55:16'),
(12, 'bonding-6', 'drag-oceanic-input', 8, 3, '2011-08-03 18:55:16'),
(13, 'bonding-6', 'cargo-freighter-2', 23, 12, '2011-08-03 18:55:16'),
(14, 'bonding-6', 'cargo-freighter-2', 23, 18, '2011-08-03 18:55:16'),
(15, 'bonding-7', 'cargo-freighter-1', 23, 2, '2011-08-03 18:55:16'),
(16, 'bonding-7', 'drag-oceanic-input', 8, 10, '2011-08-03 18:55:16'),
(17, 'bonding-7', 'cargo-freighter-1', 23, 18, '2011-08-03 18:55:16'),
(18, 'bonding-7', 'drag-atmospheric-input', 5, 19, '2011-08-03 18:55:16'),
(19, 'bonding-boss', 'oxygen-tank', 12, 12, '2011-08-03 18:55:16'),
(20, 'bonding-boss', 'oxygen-tank', 18, 12, '2011-08-03 18:55:16'),
(21, 'bonding-boss', 'oxygen-tank', 24, 12, '2011-08-03 18:55:16'),
(22, 'bonding-boss', 'drag-oceanic-input', 1, 16, '2011-08-03 18:55:16'),
(23, 'bonding-boss', 'control-center', 1, 7, '2011-08-03 18:55:16'),
(24, 'bonding-5', 'drag-atmospheric-input', 5, 4, '2011-08-03 18:55:16'),
(25, 'bonding-5', 'cargo-freighter-3', 23, 12, '2011-08-03 18:55:16'),
(26, 'bonding-5', 'drag-oceanic-input', 1, 16, '2011-08-03 18:55:16'),
(27, 'bonding-5', 'cargo-freighter-3', 23, 18, '2011-08-03 18:55:16'),
(28, 'sensing-4', 'cargo-freighter-3', 23, 2, '2011-08-03 18:55:16'),
(29, 'sensing-4', 'recycler', 25, 14, '2011-08-03 18:55:16'),
(30, 'sensing-4', 'drag-atmospheric-input', 8, 18, '2011-08-03 18:55:16'),
(31, 'sensing-5', 'recycler', 26, 1, '2011-08-03 18:55:16'),
(32, 'sensing-5', 'drag-atmospheric-input', 4, 5, '2011-08-03 18:55:16'),
(33, 'sensing-5', 'cargo-freighter-2', 22, 7, '2011-08-03 18:55:16'),
(34, 'sensing-5', 'cargo-freighter-2', 21, 17, '2011-08-03 18:55:16'),
(35, 'sensing-5', 'drag-oceanic-input', 7, 18, '2011-08-03 18:55:16'),
(36, 'sensing-boss', 'particle-accelerator', 16, 11, '2011-08-03 18:55:16'),
(37, 'sensing-boss', 'control-center', 2, 16, '2011-08-03 18:55:16'),
(38, 'sensing-boss', 'drag-oceanic-input', 8, 18, '2011-08-03 18:55:16'),
(39, 'sensing-6', 'cargo-freighter-1', 23, 2, '2011-08-03 18:55:16'),
(40, 'sensing-6', 'drag-powerplant-input', -7, 4, '2011-08-03 18:55:16'),
(41, 'sensing-6', 'cargo-freighter-1', 23, 18, '2011-08-03 18:55:16'),
(42, 'fusion-5', 'recycler', 26, 1, '2011-08-03 18:55:16'),
(43, 'fusion-5', 'drag-oceanic-input', 4, 4, '2011-08-03 18:55:16'),
(44, 'fusion-5', 'cargo-freighter-1', 23, 7, '2011-08-03 18:55:16'),
(45, 'fusion-5', 'cargo-freighter-1', 23, 12, '2011-08-03 18:55:16'),
(47, 'fusion-5', 'cargo-freighter-1', 23, 17, '2011-08-03 18:55:16'),
(48, 'fusion-boss', 'control-center', 1, 5, '2011-08-03 18:55:16'),
(49, 'fusion-boss', 'rocket-launch-pad', 17, 15, '2011-08-03 18:55:16'),
(50, 'fusion-boss', 'drag-oceanic-input', 5, 18, '2011-08-03 18:55:16'),
(51, 'fusion-6', 'drag-oceanic-input', 4, 11, '2011-08-03 18:55:16'),
(52, 'fusion-6', 'cargo-freighter-3', 23, 18, '2011-08-03 18:55:16'),
(53, 'mining-boss', 'drag-silo-input', 0, 1, '2011-08-03 18:55:16'),
(54, 'mining-boss', 'drag-mining-input', 2, 14, '2011-08-03 18:55:16'),
(55, 'mining-boss', 'recycler', 26, 17, '2011-08-03 18:55:16'),
(56, 'mining-boss', 'control-center', 2, 18, '2011-08-03 18:55:16'),
(57, 'mining-5', 'recycler', 22, 3, '2011-08-03 18:55:16'),
(58, 'mining-5', 'drag-mining-input', 1, 7, '2011-08-03 18:55:16'),
(59, 'mining-5', 'cargo-freighter-2', 23, 18, '2011-08-03 18:55:16'),
(60, 'mining-4', 'cargo-freighter-3', 23, 2, '2011-08-03 18:55:16'),
(61, 'mining-4', 'drag-mining-input', 1, 7, '2011-08-03 18:55:16'),
(62, 'mining-4', 'drag-silo-input', 3, 17, '2011-08-03 18:55:16'),
(63, 'mining-4', 'cargo-freighter-3', 23, 18, '2011-08-03 18:55:16'),
(64, 'mining-6', 'cargo-freighter-1', 23, 2, '2011-08-03 18:55:16'),
(65, 'mining-6', 'drag-mining-input', 3, 3, '2011-08-03 18:55:16'),
(66, 'mining-6', 'cargo-freighter-1', 23, 7, '2011-08-03 18:55:16'),
(67, 'mining-6', 'drag-silo-input', 2, 10, '2011-08-03 18:55:16'),
(68, 'mining-6', 'cargo-freighter-1', 23, 12, '2011-08-03 18:55:16'),
(69, 'mining-6', 'drag-silo-input', 2, 17, '2011-08-03 18:55:16'),
(70, 'mining-6', 'recycler', 26, 17, '2011-08-03 18:55:16'),
(71, 'research-boss', 'hydrogen-laser', 10, 6, '2011-08-03 18:55:16'),
(72, 'research-boss', 'drag-spaceship-input', 1, 10, '2011-08-03 18:55:16'),
(73, 'organic-boss', 'ancient-pump', 1, 3, '2011-08-03 18:55:16'),
(74, 'organic-boss', 'chemical-laser', 13, 5, '2011-08-03 18:55:16'),
(75, 'organic-boss', 'ancient-pump', 1, 15, '2011-08-03 18:55:16'),
(76, 'organic-boss', 'control-center', 18, 18, '2011-08-03 18:55:16'),
(77, 'organic-5', 'ancient-pump', 3, 7, '2011-08-03 18:55:16'),
(78, 'organic-5', 'ancient-pump', 3, 10, '2011-08-03 18:55:16'),
(79, 'organic-5', 'cargo-freighter-2', 23, 12, '2011-08-03 18:55:16'),
(80, 'organic-6', 'cargo-freighter-1', 22, 7, '2011-08-03 18:55:16'),
(81, 'organic-6', 'ancient-pump', 5, 10, '2011-08-03 18:55:16'),
(82, 'organic-6', 'cargo-freighter-1', 23, 15, '2011-08-03 18:55:16'),
(83, 'organic-6', 'ancient-pump', 6, 19, '2011-08-03 18:55:16'),
(84, 'warp-boss', 'omega-missile-launcher', 17, 3, '2011-08-03 18:55:16'),
(85, 'warp-boss', 'drag-spaceship-input', 2, 6, '2011-08-03 18:55:16'),
(86, 'warp-boss', 'thruster-controls', 18, 10, '2011-08-03 18:55:16'),
(87, 'warp-boss', 'drag-spaceship-input', 2, 11, '2011-08-03 18:55:16'),
(88, 'warp-boss', 'drag-spaceship-input', 2, 18, '2011-08-03 18:55:16'),
(89, 'quantum-4', 'internal-storage-tank', 23, 3, '2011-08-03 18:55:16'),
(90, 'quantum-4', 'teleporter-out', 12, 4, '2011-08-03 18:55:16'),
(91, 'quantum-4', 'teleporter-in', 26, 13, '2011-08-03 18:55:16'),
(92, 'quantum-4', 'recycler', 26, 17, '2011-08-03 18:55:16'),
(93, 'quantum-4', 'drag-spaceship-input', 4, 18, '2011-08-03 18:55:16'),
(94, 'quantum-6', 'drag-spaceship-input', 1, 9, '2011-08-03 18:55:16'),
(95, 'quantum-6', 'internal-storage-tank', 23, 12, '2011-08-03 18:55:16'),
(96, 'quantum-6', 'internal-storage-tank', 23, 18, '2011-08-03 18:55:16'),
(97, 'quantum-6', 'drag-spaceship-input', 4, 19, '2011-08-03 18:55:16'),
(98, 'quantum-boss', 'teleporter-in', 14, 3, '2011-08-03 18:55:16'),
(99, 'quantum-boss', 'teleporter-out', 21, 5, '2011-08-03 18:55:16'),
(100, 'quantum-boss', 'drag-spaceship-input', 1, 7, '2011-08-03 18:55:16'),
(101, 'quantum-boss', 'crash-canister', 26, 9, '2011-08-03 18:55:16'),
(102, 'quantum-boss', 'drag-spaceship-input', 1, 14, '2011-08-03 18:55:16'),
(103, 'quantum-boss', 'internal-storage-tank', 15, 19, '2011-08-03 18:55:16');
